// Name: Steven Burgart
// E-mail: burgart@cs.fsu.edu 
// Project 2 
// CIS4930 - Mobile Programming
// Spring 2009 

package burgart.dialer;

import burgart.dialer.R;
import android.app.Activity;
import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends Activity
{
	public EditText dialDisplay;
	
    public void onNumClick(View v) 
    {
    	dialDisplay.append(((Button)v).getText());
    }
    
    public void onGoogleClick(View v) 
    {
    	Intent intent = new Intent(Intent.ACTION_VIEW);
    	intent.setData(Uri.parse("http://www.google.com/?q=" + dialDisplay.getText()));
    	startActivity(intent);
    }
    
    public void onNotifyClick(View v) 
    {
    	v.getContext();
		String ns = Context.NOTIFICATION_SERVICE;
    	NotificationManager mNotificationManager = (NotificationManager) getSystemService(ns);
    	
    	int icon = R.drawable.dialer_icon;
    	CharSequence tickerText = dialDisplay.getText().toString();
    	long when = System.currentTimeMillis();

    	Notification notification = new Notification(icon, tickerText, when);
    	
    	Context context = getApplicationContext();
    	CharSequence contentTitle = "From Steves Dialer";
    	CharSequence contentText = dialDisplay.getText().toString();
    	Intent notificationIntent = new Intent(this, MainActivity.class);
    	PendingIntent contentIntent = PendingIntent.getActivity(this, 0, notificationIntent, 0);

    	notification.setLatestEventInfo(context, contentTitle, contentText, contentIntent);

    	mNotificationManager.notify(1, notification);
    }
    
    public void onBackClick(View v) 
    {
    	String currText = dialDisplay.getText().toString();
    	dialDisplay.setText(currText.substring(0, currText.length()-1));
    	dialDisplay.moveCursorToVisibleOffset();
    }
    
    public void onSMSClick(View v) 
    {
    	Toast.makeText(v.getContext(), "Doesn't Work :(", Toast.LENGTH_SHORT).show();
    }
    
    public void onCallClick(View v) 
    {
    	Intent intent = new Intent(Intent.ACTION_CALL);
    	intent.setData(Uri.parse("tel:" + dialDisplay.getText()));
    	startActivity(intent);
    }
	
    public void onCreate(Bundle savedInstanceState) 
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        dialDisplay = (EditText)findViewById(R.id.DisplayDial);
    }
}